/*btn*/
.sppb-btn, .btn-primary{
  text-align: center !important;
  text-decoration: none !important;
  font-weight: 500 !important;
  text-transform: uppercase !important;
  color: #fff !important;
  border-radius: 6px !important;
  padding: 15px 20px !important;
  background: linear-gradient(47deg, rgba(210,48,43,1), rgba(63,40,127,1), rgba(210,48,43,1)) !important;
  transition: 0.5s ease!important;
  background-size: 300% !important;
  box-shadow: 0px 0px 10px #00000030 !important;
  border-color: transparent !important;
}
.sppb-btn-default:hover,
.sppb-btn-default:focus, 
.btn-primary:hover,
.btn-primary:focus,
.sppb-btn-primary:hover,
.sppb-btn-primary:focus {
  transition: 0.5s ease!important;
  background-position: right!important;
  background-size: 300%!important;
  box-shadow: 0px 0px 10px #00000060!important;
}


.sppb-btn-secondary {
    background: transparent !important;
    border: 1px solid #fff !important;
}

.sppb-btn-secondary:hover {
    background: #b82f3a !important;
    border: 1px solid #b82f3a !important;
    color:#fff!important;
}

/*map button*/
input.button {
  text-align: center;
  text-decoration: none;
  font-weight: 500;
  text-transform: uppercase;
  color: #fff!important;
  border-radius: 6px;
  margin: 0;
  padding: 5px 20px;
  background-size: 300% 300%;
  color: white;
  box-shadow: 0 4px 6px rgba(50, 50, 93, 0.11), 0 1px 3px rgba(0, 0, 0, 0.08);
  background: rgb(0 0 0);
  background: linear-gradient(47deg, rgba(210,48,43,1) 0%, rgba(63,40,127,1) 75%);
  transition: 0.5s ease!important;
  border: none;
}
input.button:hover,
input.button:focus {
  background: rgb(0 0 0);
  background: linear-gradient(47deg, rgba(210,48,43,1) 20%, rgba(63,40,127,1) 95%);
  transition: 0.5s ease!important;
}

.btn.active.focus, .btn.active:focus, .btn.focus, .btn:active.focus, .btn:active:focus, .btn:focus {
    outline: none !important;
    outline-offset: -2px;
}